Bug 334261

Summary: Black-on-dark progress message on Apple OS X
Product: filelight Reporter: Ian Wadham <iandw.au>
Component: generalAssignee: Martin Sandsmark <martin.sandsmark>
Status: RESOLVED FIXED    
Severity: normal CC: mk-lists
Priority: NOR    
Version: 1.20   
Target Milestone: ---   
Platform: MacPorts Packages   
OS: macOS   
Latest Commit: Version Fixed In: 4.13.1
Attachments: Patch to set the pen to KColorScheme's foreground color (e.g. white)

Description Ian Wadham 2014-05-03 03:51:33 UTC
Using master branch, KDE 4.13.60. The background color for the progress widget is very dark on Apple OS X 10.7.4 Lion and the message text is written in default black, making the text unreadable.

The attached patch will fix the problem.  It sets the pen to the foreground color from KColorScheme.

Reproducible: Always

Steps to Reproduce:
1.Select a disk area to be analysed.
2.
3.
Actual Results:  
Unreadable progress message.

Expected Results:  
Readable progress message, e.g. white on dark background.
Comment 1 Ian Wadham 2014-05-03 04:00:29 UTC
Created attachment 86423 [details]
Patch to set the pen to KColorScheme's foreground color (e.g. white)
Comment 2 Marko Käning 2014-05-03 09:20:28 UTC
Actually on OpenSUSE 13.1 the background looks bright and transparent while the letters stay dark!
Comment 3 Marko Käning 2014-05-03 16:20:29 UTC
I figure that your patch is probably consistent for the selected theme, right?

BTW, I have just patched kde4-filelight on MacPorts in r119667.

It's a really nice tool! :-)
Comment 4 Marko Käning 2014-05-03 20:56:05 UTC
Herewith I verify that Ian's patch doesn't change appearance on Linux (tested on OpenSUSE 13.1).
Comment 5 Ian Wadham 2014-05-07 23:18:03 UTC
Git commit db0db93b429f47ec866cd9c9e98bcb6d7ae7467b by Ian Wadham.
Committed on 07/05/2014 at 23:15.
Pushed by ianw into branch 'master'.

M  +1    -0    src/part/progressBox.cpp

http://commits.kde.org/filelight/db0db93b429f47ec866cd9c9e98bcb6d7ae7467b
Comment 6 Ian Wadham 2014-05-07 23:22:19 UTC
Git commit 759f104d81a101fe9cf7403539b7c138c3048fae by Ian Wadham.
Committed on 07/05/2014 at 23:15.
Pushed by ianw into branch 'KDE/4.13'.

M  +1    -0    src/part/progressBox.cpp

http://commits.kde.org/filelight/759f104d81a101fe9cf7403539b7c138c3048fae